%global debug_package %{nil}
%global _version 1_2_6
Name:          jibx
Version:       1.2.6
Release:       %mkrel 7
Group:         Development/Java
Summary:       Framework for binding XML data to Java objects
License:       BSD and ASL 1.1
URL:           http://sourceforge.net/projects/jibx/
Source0:       http://sourceforge.net/projects/jibx/files/jibx/jibx-%{version}/%{name}_%{_version}.zip
Patch0:        %{name}-classpath.patch
Patch1:        %{name}-1.2.6-poms.patch
Patch2:        %{name}-port-to-qdox-2.patch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit
BuildRequires: objectweb-asm3
BuildRequires: bcel
BuildRequires: bea-stax-api
BuildRequires: eclipse-equinox-osgi >= 1:4.6.0
BuildRequires: eclipse-jdt >= 1:4.6.0
BuildRequires: eclipse-platform >= 1:4.6.0
BuildRequires: joda-time
BuildRequires: qdox
BuildRequires: dom4j
BuildRequires: jdom
BuildRequires: xpp3
BuildRequires: log4j12
BuildRequires: liblog4j12-java
BuildRequires: javapackages-local

%description
JiBX is a framework for binding XML data to Java objects. It lets you
work with data from XML documents using your own class structures. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
#Patch to add the bundled jar dependencies in the classpath
%patch0 -p1
#Patch to add maven poms
%patch1 -p1
%patch2 -p0

find -name '*.class' -delete
find -name '*.jar' -delete

rm -rf %{_builddir}/%{name}/build/docs/src/*


#Symlink the eclipse dependencies
# platform
plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.contenttype_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.contenttype.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.jobs_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.jobs.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.runtime.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.resources_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.resources.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.common.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.preferences_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.preferences.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar`
ln -s "$plugin_file" lib/org.eclipse.text.jar

# new location in eclipse 4.6.0-0.5.git201604261105
plugin_file=`ls %{_datadir}/eclipse/droplets/eclipse-jdt/eclipse/plugins/org.eclipse.jdt.core_*jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.jar

# equinox-osgi
#plugin_file=`ls %%{_libdir}/eclipse/plugins/org.eclipse.osgi_*.jar`
#ln -s "$plugin_file" lib/org.eclipse.osgi.jar
ln -s $(build-classpath eclipse/osgi) lib/org.eclipse.osgi.jar

# jdt
plugin_file=`ls %{_datadir}/eclipse/droplets/eclipse-jdt/eclipse/plugins/org.eclipse.jdt.core.manipulation_*.jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.manipulation.jar


build-jar-repository -p lib \
bcel \
bea-stax-api \
dom4j \
jdom \
joda-time \
qdox \
xpp3 

ln -s $(build-classpath objectweb-asm3/asm) lib/
ln -s $(build-classpath objectweb-asm3/asm-commons) lib/
ln -s $(build-classpath log4j12-1.2.17) lib/

sed -i '/Class-Path/I d' %{_builddir}/%{name}/build/build.xml

#sed -i 's|log4j*.jar|log4j12-1.2.17.jar|' %%{_builddir}/%%{name}/build/build.xml

%build

for sub_component in bind extras run schema tools; do
%mvn_file org.%{name}:%{name}-${sub_component} %{name}/${sub_component}
done

pushd build/
sed -i -e s:stax-api.jar:bea-stax-api.jar:g build.xml
# thanks to msrb@redhat.com
sed -i 's|version}" arg2="1.5"|version}" arg2="1.8"|g' build.xml
javac jenable/JEnable.java

export CLASSPATH=$(build-classpath junit)
ant current -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 devdoc #test-multiples test-singles test-extras basic-blackbox blackbox devdoc javadoc

%install
%mvn_artifact build/maven/pom.xml
for sub_component in bind extras run schema tools; do
%mvn_artifact build/maven/jibx-${sub_component}/pom.xml lib/%{name}-${sub_component}.jar
done

%mvn_install -J %{_builddir}/%{name}/build/api


%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Thu May 05 2016 daviddavid <daviddavid> 1.2.6-7.mga6
+ Revision: 1009606
- Fix build against Eclipse Neon

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1.2.6-5.mga6
+ Revision: 979524
- First rebuild of the java stack
- sync package jibx with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 daviddavid <daviddavid> 1.2.5-5.mga5
+ Revision: 807889
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.5-2.mga4
+ Revision: 545454
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.2.5-1.mga4
+ Revision: 501267
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.2.4-2.mga3
+ Revision: 355447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.2.4-1.mga3
+ Revision: 291911
- New version

* Tue Oct 18 2011 gil <gil> 1.2.3-2.mga2
+ Revision: 156172
- added m2 poms
  added links unversioned libraries
  used eclipse-equinox-osgi support

* Sun May 08 2011 ahmad <ahmad> 1.2.3-1.mga1
+ Revision: 95952
- imported package jibx


* Thu Apr 21 2011 Johannes Lips <johannes.lips@googlemail.com> - 1.2.3-1
- Update to 1.2.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-7
- added a version requirement for java-devel
- disabled the tests
* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-6
- added a patch to meet all the dependencies

* Sun Sep 05 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-5
- removed the classpath
- changed the license
- removed most required packages

* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-4
- changed the structure
- 
* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-3
- symlinked all eclipse plugins
- removed all bundled dependencies
- added the build-jar-repository in the %%prep section
- added the tests

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-2
- consistent usage of %%{buildroot}
- added missing javadoc file attributes

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-1
- initial build
